Package com.google.javascript.rhino

# Class Node.AncestorIterable

java.lang.Object
com.google.javascript.rhino.Node.AncestorIterable

All Implemented Interfaces:
  `Iterable<Node>`

Enclosing class:
  `Node`

public static class Node.AncestorIterable extends Object implements Iterable<Node>
Iterator to go up the ancestor tree.

## Method Summary

Modifier and Type
Method
Description
`Iterator<Node>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### iterator

public Iterator<Node> iterator()

Specified by:
  `iterator` in interface `Iterable<Node>`